import createAxios from '@/utils/request'

import {ADVANCE_BOOT} from '@/utils/constantRequest'


/**
 * 查询业务用户
 */
export const sgUserList = () => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgUser/sgUserList',
        method: 'GET'
    })
}


/**
 * 新增业务用户
 */
export const addSgUser = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgUser/add',
        method: 'POST',
        data: data
    })
}


/**
 * 更新业务用户
 */
export const updateSgUser = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sgUser/update',
        method: 'POST',
        data: data
    })
}


/**
 * 删除业务用户
 */
export const deleteSgUser = (data: any) => {
    let ids = [data]
    return createAxios({
        url: ADVANCE_BOOT + '/sgUser/delete',
        method: 'POST',
        data: ids
    })
}

